TrainingProject Text
List Training Text
Retrieve a paginated list of your text or FAQ records. **Permission required:** Training > Read
Retrieve a paginated list of your text or FAQ records.
Permission required: Training > Read
Authorization
bearerToken
AuthorizationBearer <token>
API token for YourGPT Public APIs. Create tokens in Settings > API Tokens in your YourGPT dashboard.
In: header
Request Body
application/json
project_uid*string
Project identifier.
type*string
Content type to list.
Value in
"faq" | "text"limit?integer
Results per page.
Default
10page?integer
Page number.
Default
1orderBy?string
Sort order.
Default
"DESC"Value in
"ASC" | "DESC"search?string
Search in content.
tags?string
Filter by tags (comma-separated).
Response Body
application/json
application/json
application/json
curl -X POST "https://api.yourgpt.ai/chatbot/v1/getProjectText" \ -H "Content-Type: application/json" \ -d '{ "project_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "type": "faq" }'{
"type": "RXSUCCESS",
"message": "Data Fetched Successfully!",
"data": {
"count": 10,
"rows": [
{
"id": 2001,
"project_id": 12345,
"short_text": "What is your return policy?",
"detail": "You can return items within 30 days of purchase.",
"type": "faq",
"status": "completed",
"tags": null,
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-15T10:30:00.000Z"
}
]
}
}{
"type": "RXERROR",
"message": "string"
}{
"type": "RXERROR",
"message": "Invalid or expired API token"
}